Freeciv-3.2: Data Fields

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- I_accepted : packet_diplomacy_accept_treaty
- i_city : city_item
- icon : named_sprites
- id : achievement, action, animation, attr_key, city, city_deal, cma_dialog, connection, disaster_type, extra_type, fc_shortcut, global_worklist, goods_type, gui_dialog, islands_data_type, link_mark, mapdef, multiplier, music_style, nation_style, objprop, output_type, packet_achievement_info, packet_city_info, packet_city_nationalities, packet_city_rally_point, packet_city_short_info, packet_conn_info, packet_edit_city, packet_edit_city_remove, packet_edit_object_created, packet_edit_player, packet_edit_player_remove, packet_edit_startpos, packet_edit_startpos_full, packet_edit_unit, packet_edit_unit_remove_by_id, packet_research_info, packet_ruleset_achievement, packet_ruleset_action, packet_ruleset_action_auto, packet_ruleset_base, packet_ruleset_building, packet_ruleset_disaster, packet_ruleset_extra, packet_ruleset_extra_flag, packet_ruleset_goods, packet_ruleset_government, packet_ruleset_impr_flag, packet_ruleset_multiplier, packet_ruleset_music, packet_ruleset_nation, packet_ruleset_resource, packet_ruleset_road, packet_ruleset_specialist, packet_ruleset_style, packet_ruleset_tech, packet_ruleset_tech_class, packet_ruleset_tech_flag, packet_ruleset_terrain, packet_ruleset_terrain_flag, packet_ruleset_trade, packet_ruleset_unit, packet_ruleset_unit_class, packet_ruleset_unit_class_flag, packet_ruleset_unit_flag, packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_const, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str, packet_unit_info, packet_unit_short_info, packet_unknown_research, packet_web_city_info_addition, packet_web_cma_clear, packet_web_cma_set, packet_web_ruleset_unit_addition, qfc_delayed_unit_item, qlist_item, road_type, texai_city_info_msg, texai_id_msg, texai_unit_info_msg, texai_unit_move_msg, text_tag, unit, widget
- id0 : container
- id1 : container
- id_old_save : resource_type
- identifier : terrain
- identifier_load : terrain
- identity : vision_site
- identity_name : server_arguments
- identity_number : civserver
- idle : partial_solution, unit_hud_selector
- idling() : mr_idle
- idx : effect_cb_data, tech_class
- ignore_list : connection
- ignore_none_scopes : pf_parameter
- ignore_transit_time : caravan_parameter
- igter_cost : packet_ruleset_terrain_control
- igwall : adv_data, unit_type
- illness : city
- illness_base_factor : packet_game_info
- illness_min_size : packet_game_info
- illness_on : packet_game_info
- illness_pollution_factor : packet_game_info
- illness_trade : city, packet_city_info
- illness_trade_infection : packet_game_info
- image0 : Diplomacy_dialog
- image1 : Diplomacy_dialog
- image_begin : tag_types
- image_canvas : spaceship_dialog
- image_end : tag_types
- img_save : toolkit
- imgsize : img
- impr : edit_impr, impr_item
- impr_calc : adv_data
- impr_flag : universals_u
- impr_genus : universals_u
- impr_info() : impr_info
- impr_item() : impr_item
- impr_list : impr_info
- impr_pixmap : impr_item
- impr_range : adv_data
- improvement : loaddata
- improvement_list : city_dialog
- improvements : packet_city_info, packet_city_sabotage_list, packet_city_short_info, vision_site
- imprv : city_dialog
- in_string : inputfile
- incident : ai_type
- incite_gold_capt_chance : civ_game
- incite_gold_loss_chance : civ_game
- incite_improvement_factor : civ_game
- incite_total_factor : civ_game
- incite_unit_factor : civ_game
- included_from : inputfile
- incoming_packet_notify : connection
- incoming_req_vec_change() : req_edit, req_vec_fix, ruledit_gui, tab_enabler
- index : city_report, cm_tile, counter, diplo_dlg, diplo_wdg, eco_report, endgame_report, generate_packets.Location, output_type, packet_trade_route_info, plr_report, research_iter, science_report, texai_tile_info_msg, tile, unit
- indicator : named_sprites
- info : civ_game
- info_city_id : packet_unit_short_info
- info_ebox : city_dialog
- info_font : fc_sidewidget, info_tile, units_select
- info_grid_layout : city_dialog
- info_icon : theme_icons
- info_label : city_dialog, science_report, spaceship_dialog, widget
- info_labels_group : city_dialog
- info_layout : help_widget
- INFO_PAGE : city_dialog
- info_panel : help_widget
- info_panel_done() : help_widget
- info_tab() : info_tab
- info_tile() : info_tile
- info_tile_wdg : fc_client
- info_units_present : city
- info_units_supported : city
- info_widget : city_dialog, fc_client
- infotab : fc_client
- infra_points : player_economic
- infra_priority : adv_data
- infra_turns : tile
- infracost : extra_type, packet_ruleset_extra
- infrapoints : packet_game_info, packet_player_info, packet_ruleset_terrain_control
- infratile : named_sprites
- inherited_root_req : advance
- init : audio_plugin, city_report, diplo_dlg, drawing_data, eco_report, endgame_report, fc_client, fc_game_tab_widget, fc_shortcuts_dialog, goto_dialog, plr_report, pregame_options, science_report, ss_report
- init_buildings : nation_type, packet_ruleset_nation
- init_buildings_count : packet_ruleset_nation
- init_city_radius_sq : packet_game_info
- init_default() : fc_shortcuts
- init_fonts() : fc_font
- init_government : nation_type
- init_government_id : packet_ruleset_nation
- init_images() : hud_unit_combat
- init_img() : unittype_item
- init_layout() : impr_info, unit_actions, unit_info, units_reports
- init_pix() : impr_item, unit_item
- init_techs : nation_type, packet_ruleset_nation
- init_techs_count : packet_ruleset_nation
- init_units : nation_type, packet_ruleset_nation
- init_units_count : packet_ruleset_nation
- init_vis_radius_sq : civ_game
- initial_setting : packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str
- initial_turns : goto_map
- initial_unit : start_filter_data
- initialize_new_achievement() : tab_achievement
- initialize_new_bldg() : tab_building
- initialize_new_counter() : tab_counter
- initialize_new_enabler() : tab_enabler
- initialize_new_extra() : tab_extras
- initialize_new_good() : tab_good
- initialize_new_gov() : tab_gov
- initialize_new_multiplier() : tab_multiplier
- initialize_new_tech() : tab_tech
- initialize_new_terrain() : tab_terrains
- initialize_new_utype() : tab_unit
- initialized : audio_plugin
- initiated_from : packet_diplomacy_cancel_meeting, packet_diplomacy_init_meeting
- input_chain : text_edit
- input_chain_x : text_edit
- input_edit : hud_input_box
- insert_client_build_info : gui_funcs
- inspect_but : notify_goto
- inspect_city() : notify_goto
- inst_prefix : fcmp_params
- instance() : fc_font, fc_icons, units_reports
- instances : go_act_menu, gov_menu, listener< _type_ >
- int_value : cf_sequence
- int_vtable : option
- integer : client_option, entry, server_option, setting
- integrates : packet_ruleset_road, road_type
- integrators : road_type
- intel_str : plr_widget
- interface_locked : fc_client
- interval : zoom_data
- invasion : ai_city
- invasions : adv_data
- inventions : packet_edit_player, packet_research_info, research
- invert_selection() : city_widget
- invoke() : listener< _type_ >
- ip_hide : civ_game
- ipaddr : connection
- ipplayer : plr_item
- irrigation_food_incr : packet_ruleset_terrain, terrain
- irrigation_time : packet_ruleset_terrain, terrain
- is_action_possible : pf_parameter
- is_alive : packet_edit_player, packet_player_info, player
- is_allied_with_ally : ai_dip_intel
- is_allied_with_enemy : ai_dip_intel
- is_changeable : option::option_common_vtable, packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str, server_option
- is_closing : connection, fc_client
- is_connected : packet_player_info, player
- is_dangerous : pf_danger_node
- is_dummy : tree_node
- is_edit_mode : packet_game_info
- is_female : races_dialog
- is_info : generate_packets.Packet, generate_packets.Variant
- is_init : RANDOM_STATE
- is_instantiated() : fc_shortcuts
- is_key() : generate_packets.Field, generate_packets.FieldFlags
- is_male : nation_leader, packet_edit_player, packet_nation_select_req, packet_player_info, player, races_dialog
- is_new_game : packet_game_info
- is_numeric : datum
- is_pickable : nation_type, packet_nation_availability
- is_playable : nation_type, packet_ruleset_nation
- is_pos_dangerous : pf_parameter
- is_ready : packet_player_info, packet_player_ready, player
- is_repo_dlg_open() : fc_client
- is_reversed : drawing_data
- is_scenario : packet_scenario_info
- is_specialist : cm_tile_type
- is_tall : drawing_data::drawing_layer
- is_target : action_enabler_contradiction
- is_unit : action
- is_view_supported : gui_funcs
- is_visible : packet_server_setting_bitwise, packet_server_setting_bool, packet_server_setting_enum, packet_server_setting_int, packet_server_setting_str, server_option
- is_winner : player
- island_filter() : unit_hud_selector
- isleindex : gen234_state
- isolated : named_sprites
- it : ITree
- item() : fix_enabler_item, item, req_vec_fix, req_vec_fix_item
- item_begin : tag_types
- item_changed() : help_dialog
- item_end : tag_types
- item_height : city_item_delegate, city_production_delegate
- item_history : help_dialog
- item_info : req_vec_fix
- item_number : advance, base_type, government, impr_type, nation_type, specialist, terrain, unit_class, unit_type
- item_selected() : city_dialog, goto_dialog, messagewdg
- item_size : units_select
- item_working_copy() : fix_enabler_item, req_vec_fix_item
- items : go_act_menu
- iter_by_number() : generate_packets.PacketsDefinition
- iterate : pf_map
- iterate_outwards_indices : civ_map
- iterator : genhash_iter
- itile : info_tile